JaxbHibernateConfiguration (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration

    public class JaxbHibernateConfiguration

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="session-factory">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="property" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <simpleContent>
                             <extension base="<http://www.w3.org/2001/XMLSchema>string">
                               <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </extension>
                           </simpleContent>
                         </complexType>
                       </element>
                       <element name="mapping" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="jar" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="package" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="resource" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <choice maxOccurs="unbounded" minOccurs="0">
                         <element name="class-cache">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="include" default="all">
                                   <simpleType>
                                     <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                                       <enumeration value="all"/>
                                       <enumeration value="non-lazy"/>
                                     </restriction>
                                   </simpleType>
                                 </attribute>
                                 <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="usage" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}usage-attribute" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="collection-cache">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="usage" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}usage-attribute" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </choice>
                       <element name="event" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="listener" type="{http://www.hibernate.org/xsd/hibernate-configuration}listener-element" maxOccurs="unbounded" minOccurs="0"/>
                               </sequence>
                               <attribute name="type" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}type-attribute" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="listener" type="{http://www.hibernate.org/xsd/hibernate-configuration}listener-element" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                     <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="security" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="grant" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="actions" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="entity-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="role" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="context" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateConfiguration.JaxbSecurity` Java class for anonymous complex type.
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory` Java class for anonymous complex type.

Field Summary
`protected JaxbHibernateConfiguration.JaxbSecurity` | `security`
`protected JaxbHibernateConfiguration.JaxbSessionFactory` | `sessionFactory`

Constructor Summary
`JaxbHibernateConfiguration()`

Method Summary
`JaxbHibernateConfiguration.JaxbSecurity` | `getSecurity()` Gets the value of the security property.
`JaxbHibernateConfiguration.JaxbSessionFactory` | `getSessionFactory()` Gets the value of the sessionFactory property.
`void` | `setSecurity(JaxbHibernateConfiguration.JaxbSecurity value)` Sets the value of the security property.
`void` | `setSessionFactory(JaxbHibernateConfiguration.JaxbSessionFactory value)` Sets the value of the sessionFactory property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionFactory

    protected JaxbHibernateConfiguration.JaxbSessionFactory sessionFactory

### security

    protected JaxbHibernateConfiguration.JaxbSecurity security

Constructor Detail

### JaxbHibernateConfiguration

    public JaxbHibernateConfiguration()

Method Detail

### getSessionFactory

    public JaxbHibernateConfiguration.JaxbSessionFactory getSessionFactory()

  Gets the value of the sessionFactory property.

  Returns:
    possible object is `JaxbHibernateConfiguration.JaxbSessionFactory`

### setSessionFactory

    public void setSessionFactory(JaxbHibernateConfiguration.JaxbSessionFactory value)

  Sets the value of the sessionFactory property.

  Parameters:
    `value` - allowed object is `JaxbHibernateConfiguration.JaxbSessionFactory`

### getSecurity

    public JaxbHibernateConfiguration.JaxbSecurity getSecurity()

  Gets the value of the security property.

  Returns:
    possible object is `JaxbHibernateConfiguration.JaxbSecurity`

### setSecurity

    public void setSecurity(JaxbHibernateConfiguration.JaxbSecurity value)

  Sets the value of the security property.

  Parameters:
    `value` - allowed object is `JaxbHibernateConfiguration.JaxbSecurity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.